Page MenuHomePhabricator

Remove obsolete recentchanges.rc_new database field
Open, Stalled, LowPublic

Description

The databasefield recentchanges.rc_new is marked as obsolete in RecentChanges.php

Please drop this field to clean up the table.

The problem is, that this field is used at many places in core. You can remove it with a check of the field "rc_source" against the const RecentChange::SRC_NEW.

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:09 AM
bzimport set Reference to bz34320.
bzimport added a subscriber: Unknown Object (MLST).

changed some rc_new with gerrit 17622, but the field is part of an index, that makes it not easy to remove.

IAlex added a comment.Aug 4 2012, 6:03 AM

Can we please keep such fields for a while, it makes very difficult to test older MediaWiki versions with the same database as the one for master.

(In reply to comment #2)

Can we please keep such fields for a while, it makes very difficult to test
older MediaWiki versions with the same database as the one for master.

Yes, that sounds good. Keeping the field at least one release after the last usage was removed. Than it is possible to rollback a upgrade without errors.

Maybe adding @deprecated in tables.sql as a comment near the field can make that clearer, because some fields left over in the past.

Kizule added a subscriber: Kizule.Feb 3 2019, 1:41 AM
This comment was removed by Kizule.
Krinkle renamed this task from remove obsolete database field rc_new to Remove obsolete recentchanges.rc_new database field.Jul 18 2019, 9:51 PM
Krinkle edited projects, added MediaWiki-Recent-changes; removed Wikimedia-Rdbms.
Krinkle removed a subscriber: wikibugs-l-list.
Restricted Application added a project: Growth-Team. · View Herald TranscriptJul 18 2019, 9:51 PM
JTannerWMF added a subscriber: JTannerWMF.

It appears this task doesn't have much movement on it so we are de-prioritizing it at this time.

Restricted Application added a project: User-DannyS712. · View Herald TranscriptJan 28 2020, 2:14 AM

Change 567531 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/BlockAndNuke@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567531

Change 567532 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/BlueSpiceSmartList@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567532

Change 567536 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/CentralNotice@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567536

Change 567537 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/LiquidThreads@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567537

Change 567539 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/MobileFrontend@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567539

Change 567540 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/PageTriage@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567540

DannyS712 updated the task description. (Show Details)Jan 28 2020, 2:34 AM

Change 567541 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/SiteScout@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567541

Change 567542 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/SocialProfile@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567542

Change 567532 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceSmartList@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567532

Change 567542 merged by Jack Phoenix:
[mediawiki/extensions/SocialProfile@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567542

Change 567541 merged by Jack Phoenix:
[mediawiki/extensions/SiteScout@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567541

Change 568080 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[translatewiki@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/568080

Change 568080 merged by jenkins-bot:
[translatewiki@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/568080

Change 567539 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567539

Change 569282 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/core@master] Replace use of rc_new field with rc_source (part 1)

https://gerrit.wikimedia.org/r/569282

Change 567536 merged by jenkins-bot:
[mediawiki/extensions/CentralNotice@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567536

Change 567531 merged by jenkins-bot:
[mediawiki/extensions/BlockAndNuke@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567531

Change 567537 merged by jenkins-bot:
[mediawiki/extensions/LiquidThreads@master] Replace use of rc_new field with rc_source

https://gerrit.wikimedia.org/r/567537

Change 577735 had a related patch set uploaded (by DannyS712; owner: DannyS712):
[mediawiki/extensions/Nuke@master] Replace use of rc_new with rc_source, clean up query

https://gerrit.wikimedia.org/r/577735

DannyS712 changed the task status from Open to Stalled.Apr 24 2020, 1:57 AM

Stalled pending addition of new index in T244080: Add index to recentchanges.rc_source

It may be a good idea to do this and T74157 together.